# Method CompilerEnvironment()->PikeCompiler()->apply_type_attribute()

Method apply_type_attribute

  ``bool` apply_type_attribute(`string` `attribute`, `type` `a`, `type`|`void` `b`)`

Description

  Type attribute handler.

Parameter `attribute`

  Attribute that `a` had.

Parameter `a`

  Type of the value being called.

Parameter `b`

  Type of the first argument in the call, or UNDEFINED if no more arguments.

  Called during type checking when `a` has been successfully had a partial evaluation with the argument `b` and `a` had the type attribute `attribute` before the evaluation.

  The default implementation implements the "deprecated" attribute.

Returns

  Returns `1` if the type check should be allowed (ie `__attribute__(attribute, a)(b)`) is valid, and `0` (zero) otherwise.

See also

  pop_type_attribute(), push_type_attribute()